Skip to main content
GET
/
api
/
v1
/
materials
List Materials
curl --request GET \
  --url https://api.example.com/api/v1/materials
{
  "data": [
    {
      "documentId": "<string>",
      "refId": "<string>",
      "materialName": "<string>",
      "materialType": "<string>",
      "supplierId": "<string>",
      "supplier": "<string>",
      "supplierName": "<string>",
      "costPerUnit": "<string>",
      "currency": "<string>",
      "verificationStatus": "<string>",
      "versionNumber": "<string>",
      "masterMaterialId": "<string>",
      "createdAt": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "totalPages": 123,
    "hasNext": true,
    "hasPrev": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-Org-Id
string | null

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:10
Required range: 1 <= x <= 100
verificationStatus
string | null
materialType
string | null
sort
string
default:-created_at
q
string | null

Response

Successful Response

data
MaterialCardResponse · object[]
required
pagination
PaginationInfo · object
required